<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Cursos</title>
</head>

<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<?
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$sql = "SELECT * FROM candidato where curso = '$id' and codigo_vest = '$qual_vestibular'";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);

	if (!isset($inicio)) {
		$inicio = 0;
		$anterior = 0;
		if ($num > $inicio) {
			$proxima = 1;
		}
		else {
			$proxima = 0;
		}
		$limite = 20;
	}
	else {
		if ($funcao == 0) {
			$inicio = $inicio + 20;
		}
		if ($funcao == 1) {
			$inicio = $inicio - 20;
		}
		if ($inicio == 0) {
			$anterior = 0;
		}
		else {
			$anterior = 1;
		}
		if (($inicio + 20) > $num) {
			$proxima = 0;
			$limite = $inicio + 20 - $num;
			echo $limite;
		}
		else {
			$proxima = 1;
			$limite = 20;
		}
	}
		$sql = "SELECT * FROM cursos Where codigo = $id";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 162.' );
		while($information = mysql_fetch_array($result)) {
			$nome_do_curso = $information["nome_curso"];
		}
		$sql = "SELECT * FROM candidato where curso = '$id' and codigo_vest = '$qual_vestibular' ORDER by codigo ASC LIMIT $inicio,20";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center><font color="#ff0000" face="Verdana" size="3"><b>Não existe nenhuma inscrição no Processo Seletivo no momento!!!</b><font></center>';
		}
		else {
		echo '<br><br><center><font color="#000000" face="Verdana" size="2"><b>Inscrições no Curso de: <font color="#ff0000">' . $nome_do_curso .'</font></b></font></center>';
			echo '<strong><div align="center"><font face="Verdana" size="2" color="#ff0000">Clique no número da Inscrição para Altera-la ou Remove-la</font></div></strong>';
			echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';
			$cor = "FFFFFF";
			echo '<tr>';
				echo '<td width="8%"><font face="Verdana" size="1" color="#000000"><b># Insc.</b></font></td>';
				echo '<td width="33%"><font face="Verdana" size="1" color="#000000"><b>Nome Candidato</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>R.G.</b></font></td>';
				echo '<td width="15%"><font face="Verdana" size="1" color="#000000"><b>Telefone</b></font></td>';
				echo '<td width="11%"><font face="Verdana" size="1" color="#000000"><b>Data Pedido</b></font></td>';
			echo '</tr>';
			while($information = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><a href="editar.php?id=' . $information["codigo"] . '">';
						 if ($information["codigo"] <= 9)
						 	echo '0000'. $information["codigo"];
						 if (($information["codigo"] >= 10) && ($information["codigo"] <= 99))
						 	echo '000'. $information["codigo"];
						 if (($information["codigo"] >= 100) && ($information["codigo"] <= 999))
						 	echo '00'. $information["codigo"];
						 if (($information["codigo"] >= 1000) && ($information["codigo"] <= 9999))
						 	echo '0'. $information["codigo"];
						 if ($information["codigo"] >= 10000)
						 	echo  $information["codigo"];
						 echo '</a></font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						 $aux = $information["nome_candidato"];
						 if ($aux != '')
						 	echo $aux;
						else
							echo '<center><b><font color="#ff0000">Ficha em Branco</font></b></center>';
						 echo '</font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						if ($information["rg"] == '')
							echo '<center>-</center>';
						else
							echo $information["rg"];
						echo '</font>';
					echo '</td>';
					echo '<td align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						$aux = $information["telefone"];
						if ($aux == '')
							echo '<center>-</center>';
						else
							echo $information["codtelefone"].'-'.$aux   ;
						echo '</font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><center>' . $information["data_ficha"]. '</center></font>';
			if ($cor == "FFFFFF") 
				$cor = "E1E1E1";
			else 
				$cor = "FFFFFF";
			}
		}
		echo '</table>';
		echo '<br>';
		echo '<font color="#000000" face="verdana" size="2"><center>';
		if ($proxima != 0)
			echo '<a href="ver_curso.php?inicio='.$inicio.'&funcao=0&id='.$id.'">Próximas '.$limite.' Inscrições</a>';
		echo '&nbsp;&nbsp;&nbsp;';
		if ($anterior != 0)
			echo '<a href="ver_curso.php?&inicio='.$inicio.'&funcao=1&id='.$id.'">20 Inscrições Anteriores</a>';
		echo '</center></font><br>';
?>
</body>
</html>
